Bug 6070 - On a new order defined from suggestion some fields were missing.
Summary: On a new order defined from suggestion some fields were missing.
Status: REOPENED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P3 normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Bugs List
URL:
Keywords:
: 7087 (view as bug list)
Depends on: 6880 6881
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-05 15:28 UTC by Paul Poulain
Modified: 2019-12-05 13:16 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (6.35 KB, patch)
2011-04-05 15:30 UTC, Paul Poulain
Details | Diff | Splinter Review
manuel rebase of initial patch (6.97 KB, patch)
2011-04-08 10:14 UTC, claire.hernandez@biblibre.com
Details | Diff | Splinter Review
proposed patch (4.78 KB, patch)
2011-05-23 08:12 UTC, Paul Poulain
Details | Diff | Splinter Review
proposed patch (updated) (4.78 KB, patch)
2011-05-23 09:14 UTC, Paul Poulain
Details | Diff | Splinter Review
follow up patch (1.30 KB, patch)
2011-05-23 20:07 UTC, Nicole C. Engard
Details | Diff | Splinter Review
proposed patch (updated) (7.15 KB, patch)
2011-08-01 14:52 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 6070: publication place and [collection|series]title not properly saved (10.03 KB, patch)
2013-04-16 20:10 UTC, Paul Poulain
Details | Diff | Splinter Review
[PATCH] Bug 6070: publication place and [collection|series]title not properly saved (7.46 KB, patch)
2014-04-11 12:22 UTC, Fridolin SOMERS
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2011-04-05 15:28:27 UTC
(MT #4937) The missing fields : publicationyear, place, collectiontitle. More the layout has been modified.
Comment 1 Paul Poulain 2011-04-05 15:30:32 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-04-06 07:49:01 UTC
Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: BZ6070 On a new order defined from suggestion some fields were missing. (MT4937) The missing fields : publicationyear, place, collectiontitle. More the layout has been modified.
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/acqui/neworderempty.tmpl).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Comment 3 claire.hernandez@biblibre.com 2011-04-08 10:14:22 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2011-04-19 11:06:06 UTC
This cannot apply because it edits the tmpl files and not the tt files.
Comment 5 Paul Poulain 2011-05-23 08:12:28 UTC Comment hidden (obsolete)
Comment 6 Paul Poulain 2011-05-23 08:13:09 UTC
updated patch uploaded
Comment 7 Paul Poulain 2011-05-23 09:14:07 UTC Comment hidden (obsolete)
Comment 8 Nicole C. Engard 2011-05-23 20:07:03 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2011-05-26 04:53:59 UTC
I tested both patches and found some things:

1) The lables used in the new order form are different from the labels used in suggestions: Collection title / Collection, Publication Place / At, Copyright year / On. On and At are also a bit difficult for translation.

2) At and Collection didn't save for me. I filled out all fields, saved and checked summary page and order line (modify).

Checked on current master, MARC21, items are created in cataloging. (AcqCreateItem)
Comment 10 Paul Poulain 2011-08-01 14:51:21 UTC
(In reply to comment #9)
> I tested both patches and found some things:
> 
> 1) The lables used in the new order form are different from the labels used in
> suggestions: Collection title / Collection, Publication Place / At, Copyright
> year / On. On and At are also a bit difficult for translation.

Well spotted. I've updated the patch, adding some reordering to have fields in neworder in the same order as well.

> 
> 2) At and Collection didn't save for me. I filled out all fields, saved and
> checked summary page and order line (modify).

Yikes ! something has disappeared on those patch (probably a rebase not carefull enough)

Fixed too.
Comment 11 Paul Poulain 2011-08-01 14:52:13 UTC Comment hidden (obsolete)
Comment 12 Nicole C. Engard 2011-08-05 00:12:36 UTC
Not sure it's a reason to not sign off on this patch, but the form when ordering from a suggestion has a 'series' field that is not there on the opac or staff client when adding or managing suggestions.

Is collection title the same as series? Or are these different things?

Nicole
Comment 13 Katrin Fischer 2011-08-11 17:57:59 UTC
Paul, can you resolve the collection/series confusion?
Comment 14 Paul Poulain 2011-08-31 14:48:07 UTC
(at least in France) librarians use :
* "collection" when a monography is a "member" of a collection (like "fleuve noir"), grouping all books on a given topic/kind/subject/... for a given publisher
* "series" is used for series.

Is there the same kind of difference in marc21 ?

Maybe there's a glitch somewhere in my patch though. (A screenshot could help verifying)

HTH
Comment 15 Katrin Fischer 2011-08-31 15:22:06 UTC
Hi Paul, the problem is - neither form shows both. We have series on one and collection on the other. I suspect they both save to the same place, but that needs to be checked.
Comment 16 Katrin Fischer 2011-08-31 15:25:25 UTC
Hm, and I am not sure about the difference of series and collection. Perhaps traced and untraced series?
Comment 17 Colin Campbell 2011-08-31 15:41:42 UTC
MARC21 does not really make the distinction between collection/series they are recorded in the same place. Traced/Untraced could differ between different institutions cataloguing practices (a legal library might trace some series that a general library won't) The term 'monograph series' is similar to Paul's collection (and sometimes collection is used in the book trade) but again if we use MARC21 there's no guaranteed way to distinguish. They all go to the 'series' field
Comment 18 Katrin Fischer 2011-09-18 21:07:54 UTC
Purchase suggestion in OPAC offers following fields:
- title
- author
- copyright date
- standard number
- publisher
- collection title
- publication placce
- item type
- reason for suggestion
- notes

Suggestions in acquisitions:
All fields are present.
Problem 1) Small: inconsistency: item type is called document type.
Problem 2) Critical: Reason for suggestion has not been saved.
Problem 3) Critical: Mark selected as is missing 'Accept', only offering 'Asked', 'Checked' and 'Rejected'

Because of 3 I can't check creating an order from a suggestion.
Comment 19 Katrin Fischer 2011-09-18 21:13:49 UTC
2) is bug 6880 now.
Comment 20 Katrin Fischer 2011-09-18 21:18:30 UTC
3) is bug 6881 now
Comment 21 Katrin Fischer 2011-09-22 06:07:17 UTC
Ordering from a purchasse suggestion:

Purchase suggestion in OPAC offers following fields:
1) Normal: The field order differs from OPAC.
OPAC: collection title is after publisher
On order: collection title is last field after itym type
2) Critical: There is an additional field called 'Series' that shows up nowhere else.
3) Trivial: Reason for suggestion and notes are not shown here. Perhaps this is ok.
Comment 22 Katrin Fischer 2011-09-22 06:09:33 UTC
I am still not sure what collection title and series are - where are those saved to in MARC21? Do we need both?
Comment 23 Katrin Fischer 2011-10-29 14:55:15 UTC
3) of comment #18 will was solved by bug 6904

The other problems noted in comments #21 and #21 are still valid.
Comment 24 Katrin Fischer 2011-10-29 14:56:36 UTC
*** Bug 7087 has been marked as a duplicate of this bug. ***
Comment 25 Chris Cormack 2013-04-07 07:02:40 UTC
Paul is this bug still an issue in master or can we close it?
Comment 26 Paul Poulain 2013-04-16 17:29:19 UTC
(In reply to comment #25)
> Paul is this bug still an issue in master or can we close it?

Yes, it's still an issue.

Test plan:
 * create a suggestion, with something in the fields labelled "publication place", "Collection title".
 * accept the suggestion
 * add the accepted suggestion to a basket. The form acqui/neworderempty.pl don't show the 2 fields anywhere. Plus the "publication place" appears nowhere and there is no field labelled "collection title", but a field labelled "series"
Comment 27 Paul Poulain 2013-04-16 17:29:47 UTC
note that I checked the suggestions table, the 2 fields are properly stored in the database)
Comment 28 Paul Poulain 2013-04-16 20:10:53 UTC Comment hidden (obsolete)
Comment 29 Paul Poulain 2013-04-16 20:13:51 UTC
OK, I've rewritten the patch after investigating & looking at comments.
I think what is confusing is that we have biblio.seriestitle AND biblioitems.collectiontitle fields.
This patch doesn't change that, but maybe we should remove one of them !
Comment 30 mathieu saby 2013-04-16 21:55:08 UTC
Hi
I can confirm that french "une collection" means "a series of monographs" in english.
Sometimes we use "série" in french, but I think it is not defined in Unimarc. In this case, "série" is used for a set of books with the same title, for example comic books or manga (Naruto is a série of XXX mangas, Tintin is a série of 22 books, etc). cf the blog of the main french record vendor, Electre : http://blog-electre.com/2012/03/30/astuce-vous-suivez-plusieurs-centaines-de-series/
I don't know how to translate this meaning of "série" in english.

("Série" is also used in "publication en série" = "serial" in english.)


M. Saby
Comment 31 mathieu saby 2013-04-21 14:37:16 UTC
Paul, Can you confirm the bug is still present in master? I cannot reproduce it.
For me, serial information and publication place are saved in master, either if I create the suggestion from OPAC, or from staff interface.

(By the way, I think publication place is not a very usefull information...)

Mathieu
Comment 32 BiAA 2014-04-08 14:18:57 UTC
Hello,

We've just changed for Koha 3.14 and I see that the bug, reported by Paul Poulain, about the biblioitems.collectiontitle fields (UNIMARC 225Sa)in the orders, has not been resolved yet. The field is not saved between suggestions and orders. It's a real problem because we can't use fully koha to manage our acquisitions. I must use another software (ACCESS) to make the link between purchasers and suggestions, its a waste of time... pity.

Regards,

Fabienne Heullant, Head Librarian
Frantiq, French archaeology libraries network (more than 40 libraries)
http://frantiq.mom.fr/
Comment 33 BiAA 2014-04-08 14:24:04 UTC
Hello,

We've just changed for Koha 3.14 and I see that the bug, reported by Paul Poulain, about the biblioitems.collectiontitle fields (UNIMARC 225Sa)in the orders, has not been resolved yet. The field is not saved between suggestions and orders. It's a real problem because we can't use fully koha to manage our acquisitions. I must use another software (ACCESS) to make the link between purchasers and suggestions, its a waste of time... pity.

Regards,

Fabienne Heullant, Head Librarian
Frantiq, French archaeology libraries network (more than 40 libraries)
http://frantiq.mom.fr/
Comment 34 mathieu saby 2014-04-08 16:14:00 UTC
Hello
If it is still in master, it must be fixed!
And bug status should not be "in discussion".

But it is definitely not a "P1 blocker" bug.
You can see the definition of bug priority in the wiki
http://wiki.koha-community.org/wiki/Bug_Reporting_Guidelines

More likely something like "Normal P3"

Mathieu Saby
Comment 35 Paul Poulain 2014-04-09 06:36:18 UTC
I haven't tested/checked that the patch still applies, but it should not stay "in discussion", as that's a real bug.

Fridolin, can you have a look please ?
Comment 36 Bernardo Gonzalez Kriegel 2014-04-09 11:16:33 UTC
Does not apply on master or 3.14.x
Comment 37 Fridolin SOMERS 2014-04-11 12:22:44 UTC
Created attachment 27015 [details] [review]
[PATCH] Bug 6070: publication place and [collection|series]title not properly saved
Comment 38 Bernardo Gonzalez Kriegel 2014-04-12 01:32:34 UTC
Now when adding to a basket "Publisher/Publication place/Collection title" shows up, good.
[neworderempty.pl?booksellerid=MM&basketno=LL&suggestionid=OO]

But when viewing a basket you press Modify (ej. to alter quantity),
[neworderempty.pl?ordernumber=NN&booksellerid=MM&basketno=LL]
that information does not shows.
Comment 39 Owen Leonard 2014-04-22 13:39:48 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #38)
>
> But when viewing a basket you press Modify (ej. to alter quantity),
> [neworderempty.pl?ordernumber=NN&booksellerid=MM&basketno=LL]
> that information does not shows.

I see this too: Specifically, publication place (from 260a) and "Collection title," actually series name, from 490a are not shown.
Comment 40 Marc Véron 2016-08-23 07:42:28 UTC
Is this bug still valid?
Comment 41 Koha Team University Lyon 3 2019-12-05 13:08:12 UTC
I have just verified on a master version and all this fields are available when you enter a new suggestion : publicationyear, place, collectiontitle.
Comment 42 Koha Team University Lyon 3 2019-12-05 13:16:44 UTC
Sorry, I have misunderstood the bug. 
When you add an order from a suggestion, in the order, you have the publicationyear but not the place and the collectiontitle.

And this information are not in the biblio notice created from the order.